> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-9c5a0d9c.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 组织活动

> 按 ID 返回单个组织活动。



## OpenAPI

````yaml /zh/_specs/cloud-openapi.json get /v1/organizations/{organizationId}/activities/{activityId}
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/activities/{activityId}:
    get:
      tags:
        - Organization
      summary: 组织活动
      description: 按 ID 返回单个组织活动。
      parameters:
        - description: 所请求组织的 ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 所请求活动的 ID。
          in: path
          name: activityId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 分配给每个请求的唯一 ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/Activity'
                  status:
                    description: HTTP 状态码。
                    example: 200
                    type: number
                type: object
          description: 成功响应
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 详细错误描述。
                    type: string
                  status:
                    description: HTTP 状态码。
                    example: 400
                    type: number
                type: object
          description: 由于存在被视为客户端错误的原因，server 无法或不愿处理该请求。
components:
  schemas:
    Activity:
      properties:
        actorDetails:
          description: 有关 actor 的附加信息。
          type: string
        actorId:
          description: 唯一的 actor ID。
          type: string
        actorIpAddress:
          description: actor 的 IP 地址。仅为 'user' 和 'api' 类型的 actor 定义。
          type: string
        actorType:
          description: actor 的类型：'user'、'support'、'system'、'api'。
          enum:
            - user
            - support
            - system
            - api
          type: string
        createdAt:
          description: 活动的时间戳。ISO-8601。
          format: date-time
          type: string
        id:
          description: 唯一的活动 ID。
          type: string
        organizationId:
          description: 活动范围：与此活动相关联的 Organization ID。
          type: string
        serviceId:
          description: 活动范围：此活动关联的服务 ID。
          type: string
        type:
          description: 活动的类型。
          enum:
            - create_organization
            - organization_update_name
            - transfer_service_in
            - transfer_service_out
            - save_payment_method
            - marketplace_subscription
            - migrate_marketplace_billing_details_in
            - migrate_marketplace_billing_details_out
            - organization_update_tier
            - organization_invite_create
            - organization_invite_delete
            - organization_member_join
            - organization_member_add
            - organization_member_leave
            - organization_member_delete
            - organization_member_update_role
            - organization_member_update_mfa_method
            - user_login
            - user_login_failed
            - user_logout
            - key_create
            - key_delete
            - openapi_key_update
            - service_create
            - service_start
            - service_stop
            - service_awaken
            - service_partially_running
            - service_delete
            - service_update_name
            - service_update_ip_access_list
            - service_update_autoscaling_memory
            - service_update_autoscaling_idling
            - service_update_password
            - service_update_autoscaling_replicas
            - service_update_max_allowable_replicas
            - service_update_backup_configuration
            - service_restore_backup
            - service_update_release_channel
            - service_update_gpt_usage_consent
            - service_update_private_endpoints
            - service_import_to_organization
            - service_export_from_organization
            - service_maintenance_start
            - service_maintenance_end
            - service_update_core_dump
            - backup_delete
          type: string
        userAgent:
          description: Actor 的 User-Agent
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        使用从 ClickHouse Cloud 控制台获取的 key ID 和 key
        secret：https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````